
//
// DataContracts.cs
//
// Author:
//    Tomas Restrepo (tomas.restrepo@devdeo.com)
//
// THIS CODE AND INFORMATION ARE PROVIDED AS IS WITHOUT WARRANTY OF ANY
// KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//

using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace Devdeo.StockQuotes.Service
{

   /// <summary>
   /// Stock Quote Subscribe and Unsubscribe Message
   /// </summary>
   [DataContract(Namespace=NsUris.DC)]
   public class StockQuoteSubscription
   {
      [DataMember]
      public string Symbol;
      [DataMember]
      public string ClientId;

   } // class StockQuoteSubscription


   /// <summary>
   /// Stock Quote Change notification message
   /// </summary>
   [DataContract(Namespace = NsUris.DC)]
   public class StockQuoteUpdate
   {
      [DataMember]
      public string Symbol;
      [DataMember]
      public DateTime LastUpdate;
      [DataMember]
      public decimal Quote;
      [DataMember]
      public string ClientId;

   } // class StockQuoteUpdate


   public sealed class NsUris
   {
      public const string DC = "urn:schemas-devdeo-com:stockQuotes:data";
      public const string Svc = "urn:schemas-devdeo-com:stockQuotes:svc";

   } // class NsUris

} // namespace Devdeo.StockQuotes.Service
