
//
// Program.cs
//
// Author:
//    Tomas Restrepo (tomas.restrepo@devdeo.com)
//
// THIS CODE AND INFORMATION ARE PROVIDED AS IS WITHOUT WARRANTY OF ANY
// KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//

using System;
using System.Collections.Generic;
using System.IO;
using System.Reflection;
using System.ServiceModel;
using System.ServiceModel.Activation;
using System.Text;

namespace Devdeo.StockQuotes.Service
{

   class Program
   {
      static void Main(string[] args)
      {
         ServiceHost host = null;
         try
         {
            StockUpdateWatcher.Start(GetStockQuotesFile());

            host = new ServiceHost(typeof(StockQuoteUpdateService));
            host.Open();
            Console.WriteLine("Service Listening for requests...");
            Console.ReadLine();
         } catch ( Exception ex )
         {
            Console.WriteLine(ex.ToString());
         } finally
         {
            if ( host != null && host.State != CommunicationState.Faulted )
               host.Close();
         }
      }

      static string GetStockQuotesFile()
      {
         Assembly asm = Assembly.GetExecutingAssembly();
         string path = Path.GetDirectoryName(asm.Location);

         return Path.Combine(path, "Stocks.xml");
      }

   } // class Program

} // namespace Devdeo.StockQuotes.Service

