
//
// ServiceContracts.cs
//
// Author:
//    Tomas Restrepo (tomas.restrepo@devdeo.com)
//
// THIS CODE AND INFORMATION ARE PROVIDED AS IS WITHOUT WARRANTY OF ANY
// KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//

using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace Devdeo.StockQuotes.Service
{

   [ServiceContract(Namespace = NsUris.Svc,
      CallbackContract=typeof(IStockQuoteUpdateSink))]
   public interface IStockQuoteUpdateService
   {
      [OperationContract]
      void Subscribe(StockQuoteSubscription subscription);
      [OperationContract]
      void Unsubscribe(StockQuoteSubscription subscription);

   } // interface IStockQuoteUpdateService


   [ServiceContract(Namespace = NsUris.Svc)]
   public interface IStockQuoteUpdateSink
   {
      [OperationContract(IsOneWay = true)]
      void OnQuoteChanged(StockQuoteUpdate update);

   } // interface IStockQuoteUpdateSink


} // namespace Devdeo.StockQuotes.Service
