
//
// StockOperation.cs
//
// Author:
//    Tomas Restrepo (tomas.restrepo@devdeo.com)
//
// THIS CODE AND INFORMATION ARE PROVIDED AS IS WITHOUT WARRANTY OF ANY
// KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//

using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;


namespace Devdeo.StockQuotes.StockMonitor
{
   /// <summary>
   /// Class used to represent messages sent to the
   /// back-end systems through BizTalk
   /// </summary>
   [XmlRoot("StockOperation", 
      Namespace="http://Devdeo.StockOperations.Schemas.StockOperation")]
   [Serializable]
	public class StockOperation
	{
      public const string BUY = "BUY";
      public const string SELL = "SELL";

      [XmlElement("operation")]
      public string Operation;

      [XmlElement("ticker")]
      public string Symbol;

      [XmlElement("quantity")]
      public int Quantity;

      [XmlElement("price")]
      public decimal Price;

   } // class StockOperation

} // namespace Devdeo.StockQuotes.StockMonitor

